Change log for libcatmandu-importer-getjson-perl package in Ubuntu

17 of 7 results
Published in hirsute-release on 2020-10-23
Published in groovy-release on 2020-04-28
Deleted in groovy-proposed (Reason: moved to Release)
libcatmandu-importer-getjson-perl (0.52-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * watch: rewrite usage comment
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * copyright: update coverage

 -- Jonas Smedegaard <email address hidden>  Wed, 01 Apr 2020 22:00:01 +0200

Available diffs

Superseded in groovy-release on 2020-04-28
Published in focal-release on 2019-10-18
Obsolete in eoan-release on 2020-12-29
Obsolete in disco-release on 2020-07-14
Deleted in disco-proposed (Reason: moved to release)
libcatmandu-importer-getjson-perl (0.51-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Use MetaCPAN URLs (not search.cpan.org or www.cpan.org).
  * Update GitHub URLs to use HTTPS.

  [ Jonas Smedegaard ]
  * Simplify rules: Do copyright-check in maintainer script
    (not during build).
    Stop build-depend on devscripts cdbs dh-buildinfo.
  * Relax to (build-)depend unversioned on libscalar-list-utils-perl:
    Needed version satisfied even in oldstable.
  * Mark build-dependencies needed only for testsuite as such.
  * Declare compliance with Debian Policy 4.3.0.
  * Set Rules-Requires-Root: no.
  * Enable autopkgtest.
  * Wrap and sort control file.
    Fix add trailing newline to debian/source/format.
  * Use semantic linefeeds.
  * List specific info before general in long description.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
    + Use https protocol in file format URL.
    + Use MetaCPAN release page as primary Source URL.
    + Extend coverage of packaging.
  * Add lintian overrides regarding License-Reference.
  * Use MetaCPAN release page as homepage.
  * Update git-buildpackage config: Filter any .git* file.
  * Update watch file:
    + Bump to format 4.
    + Track only MetaCPAN.
    + Mention gbp command in usage comment.
    + Use substitution strings.
  * Bump debhelper compatibility level to 9.

 -- Jonas Smedegaard <email address hidden>  Sun, 27 Jan 2019 18:11:05 +0100

Available diffs

Superseded in disco-release on 2019-01-28
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2017-10-24
Obsolete in artful-release on 2020-07-10
Deleted in artful-proposed (Reason: moved to release)
libcatmandu-importer-getjson-perl (0.50-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest. Add debian/tests/pkg-perl/use-whitelist. Warnings
    wrt. JSON::PP::Boolean::* are expected.

 -- gregor herrmann <email address hidden>  Thu, 03 Aug 2017 11:02:22 -0400

Available diffs

Superseded in artful-release on 2017-08-03
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
libcatmandu-importer-getjson-perl (0.50-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + More powerful get_json fix function.
    + Mew public methods request and construct_url.
    + Proceed on URL errors when reading URLs from stream.
    + Made in-memory cache global.

 -- Jonas Smedegaard <email address hidden>  Tue, 19 May 2015 15:06:08 +0200

Available diffs

Superseded in wily-release on 2015-05-19
Deleted in wily-proposed on 2015-05-20 (Reason: moved to release)
libcatmandu-importer-getjson-perl (0.43-1) unstable; urgency=medium

  [ upstream ]
    + Fix dependencies and URI::Template changes.
    + Add caching.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for myself.
  * Update package relations:
    + Fix (build-)depend on libjson-perl.
      Closes: Bug#783751. Thanks to Niko Tyni.
    + (Build-)depend on recent libscalar-list-utils-perl.

 -- Jonas Smedegaard <email address hidden>  Thu, 14 May 2015 04:30:39 +0200

Available diffs

Superseded in wily-release on 2015-05-14
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
libcatmandu-importer-getjson-perl (0.41-1) unstable; urgency=medium


  [ upstream ]
  * New release.
    + Migrated packaging to Dist::Milla.
    + include missing version.

  [ Jonas Smedegaard ]
  * Add git-buildpackage config, enabling pristine-tar and tag signing.
  * Declare compliance with Debian Policy 3.9.6.
  * Include CDBS snippet perl-build.mk (not perl-makemaker.mk), to
    reflect upstream change of build system.
    Build-depend on libmodule-build-tiny-perl.
    Tighten to build-deend versioned on cdbs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to use cgit web frontend.

 -- Jonas Smedegaard <email address hidden>  Thu, 04 Dec 2014 16:31:12 +0100

Available diffs

Superseded in vivid-release on 2014-12-04
Deleted in vivid-proposed on 2014-12-06 (Reason: moved to release)
Deleted in utopic-proposed on 2014-12-06 (Reason: moved to vivid-proposed)
libcatmandu-importer-getjson-perl (0.40-1) unstable; urgency=low


  * Initial Release.
    Closes: bug#750006.

 -- Jonas Smedegaard <email address hidden>  Sat, 31 May 2014 16:52:29 +0200
17 of 7 results